:: ----------------------------------------------------
:: Example Build Batch file for a GCC Assembler project
::    %1 = linker script file name
::    %2 = assembly source file name
@echo off

:: Check if input files specified
IF [%1]==[] GOTO Syntax
IF [%2]==[] GOTO Syntax

:: delete previously generated output files
call cleanup.bat

:: assemble files here
c:\usr\bin\m6811-elf-gcc -m68hc11 -c -O1 -g -Wa,--gdwarf2 -o %~n2.o %2 2> error.out
@IF ERRORLEVEL 1 GOTO End

:: link files here
c:\usr\bin\m6811-elf-gcc -m68hc11 -Wl,--script,%1 -nostartfiles -o %~n2.elf %~n2.o 2>> error.out
@IF ERRORLEVEL 1 GOTO End

:: convert elf output to other types
call hc11_srec.bat %2
EXIT /B

:End
start NOTEPAD error.out
EXIT /B

:Syntax
echo Usage: build linkerscript filename
